#if !defined(AFX_LISTBOXCHILDEDIT_H__C513FC03_A2FA_11D1_89C0_00001C192944__INCLUDED_)
#define AFX_LISTBOXCHILDEDIT_H__C513FC03_A2FA_11D1_89C0_00001C192944__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ListBoxChildEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CListBoxChildEdit window

#include "Skill.h"
#include "ListBoxChildEditFrame.h"

class CListBoxChildEdit : public CEdit
{
// Construction
public:
	CListBoxChildEdit();

// Attributes
public:
	int m_nChange;
	int* m_lpnSkillPoints;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListBoxChildEdit)
	//}}AFX_VIRTUAL

// Implementation
public:
	void EndEditing( BOOL fSaveChanges = TRUE );
	void BeginEditing( CListBox* wndListBox, CInvestigator* pInvestigator, int* lpnSkillPoints );
	virtual ~CListBoxChildEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CListBoxChildEdit)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg UINT OnGetDlgCode();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	//}}AFX_MSG

	CListBox* m_wndListBox;
    HWND m_hWndSpin;
    CListBoxChildEditFrame m_wndFrame;

	DECLARE_MESSAGE_MAP()
private:
	void ChangeEditing();
	BOOL m_fEditing;
	int m_nOldValue;
    CInvestigator::InvestigatorSkillList* m_pSkill;
	CInvestigator* m_pInvestigator;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LISTBOXCHILDEDIT_H__C513FC03_A2FA_11D1_89C0_00001C192944__INCLUDED_)
