// TelegramDoc.h : interface of the CTelegramDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TelegramDOC_H__50F06ACF_F7F0_11D1_89C0_00001C192944__INCLUDED_)
#define AFX_TelegramDOC_H__50F06ACF_F7F0_11D1_89C0_00001C192944__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "skill.h"

#define HANDOUT_FILE_HEADER10 "HANDOUT10"



class CTelegramDoc : public CDocument
{
protected: // create from serialization only
	CTelegramDoc();
	DECLARE_DYNCREATE(CTelegramDoc)

// Attributes
public:
    struct TextType {
        CString strText;
	    COLORREF crText;
	    LOGFONT LogFont;
    };

    TextType m_Text[20];
    CString m_strHandoutName;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTelegramDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	void EditTelegramText();
    HENHMETAFILE m_hEmf;
	virtual ~CTelegramDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CTelegramDoc)
	afx_msg void OnEditTelegramFont();
	afx_msg void OnEditTelegramText();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TelegramDOC_H__50F06ACF_F7F0_11D1_89C0_00001C192944__INCLUDED_)
