#if !defined(AFX_USERTEXTEDIT_H__97829805_D2CA_11D1_89C0_FC3554616E1C__INCLUDED_)
#define AFX_USERTEXTEDIT_H__97829805_D2CA_11D1_89C0_FC3554616E1C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// UserTextEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUserTextEdit window

class CUserTextEdit : public CEdit
{
// Construction
public:
	CUserTextEdit();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUserTextEdit)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	void CreateFont( CString strFace, COLORREF crColour );
	void BeginEditing( int* pn, CRect rc, CString strDescription, int nMinValue = 0 );
	void BeginEditing( CString* pstr, CRect rc, CString strDescription, int nMaxLength = 0 );
	void EndEditing( BOOL fSaveChanges );
	BOOL Editing();
	virtual ~CUserTextEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CUserTextEdit)
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg UINT OnGetDlgCode();
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	afx_msg void OnChange();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnEditUndo();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
	BOOL m_fTextChanged;
	CFont m_Font;
    enum EditingType { EDITING_NONE, EDITING_TEXT, EDITING_NUMBER };
    EditingType m_EditingType;

    int m_nMinValue;
    CString* m_pstrText;
    int* m_pnValue;

	BOOL m_fEditing;
    COLORREF m_crColour;
    CString m_strDescription;

    HWND m_hWndSpin;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USERTEXTEDIT_H__97829805_D2CA_11D1_89C0_FC3554616E1C__INCLUDED_)
