// NewCharacter_Wizard.h : header file
//
// This class defines custom modal property sheet 
// CNewCharacterWizard.
 
#ifndef __NEWCHARACTER5F_WIZARD_H__
#define __NEWCHARACTER5F_WIZARD_H__

#include "NewCharacter_Pages.h"

/////////////////////////////////////////////////////////////////////////////
// CNewCharacterWizard

class CNewCharacterWizard : public CPropertySheet
{
	DECLARE_DYNAMIC(CNewCharacterWizard)

// Construction
public:
	CNewCharacterWizard(CWnd* pWndParent = NULL);

// Attributes
public:
	CNewCharacter_Skills m_Skills;
	CNewCharacter_Outline m_Outline;
	CNewCharacter_Occupation m_Occupation;
	CNewCharacter_PersonalInterest m_PersonalInterest;
	CNewCharacter_Weapons m_Weapons;
	CNewCharacter_NameEtc m_NameEtc;
	CNewCharacter_Finished m_Finished;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNewCharacterWizard)
	public:
	virtual int DoModal();
	//}}AFX_VIRTUAL

// Implementation
public:
	int m_nSkillPoints, m_nPersonalInterestPoints;
	CInvestigator m_Investigator;
    COccupation* m_pOccupation;

    BOOL m_fShowFullWizard;

    //temporary storage variables for wizard's pages
    CSkillList m_OptionalSkills;

	virtual ~CNewCharacterWizard();

// Generated message map functions
protected:
	//{{AFX_MSG(CNewCharacterWizard)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif	// __NEWCHARACTER5F_WIZARD_H__
